<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_7ee25317ffedb4fe27bf0b50" . "36469b94" => base64_decode("Y29tbW9uLnR5cGUuZm9sZ" . "GVy"), "_86e12158655" . "092a9838a837" . "f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnBocA" . "=="), "_5fde92609" . "a43c916046" . "2278aec060" . "406" => base64_decode("Y29tbW9" . "uLnVua2" . "5vd24="), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1" . "zZw" . "=="), "_9410d17985408ab6a2962e6" . "fdb621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWV" . "wYXR0ZXJudGFnLnZlcg" . "=="), "_eb56828" . "483919e1" . "73c6ab77" . "2a8fa7d6" . "d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1" . "lbnQ="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_86e1215" . "8655092a" . "9838a837" . "f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_86e12158655092a9838a837f6" . "cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7ee25317ffed" . "b4fe27bf0b503" . "6469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_eb56828483919e173c6ab772a" . "8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_9410d17985408ab6a2962e6fdb6" . "21c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5fde92609a43c" . "9160462278aec0" . "60406"]);
    }
}